QCAD 3 Final - Debian installation problem

Post your question about installing or upgrading QCAD version 3

Moderator: andrew

QCAD 3 Final - Debian installation problem

Postby ralvejd » Fri Jul 20, 2012 10:43 pm

Yes nice news :D
I'm waiting for a Debian installation :?: :roll:
ralvejd
Junior Member
 
Posts: 13
Joined: Mon Dec 27, 2010 4:28 pm

Re: QCAD 3 Final

Postby Clive » Sat Jul 21, 2012 12:35 pm

ralvejd
Feature request added:
http://www.qcad.org/bugtracker/index.ph ... ask_id=646

- you can use the 'bug tracker' to add bug reports or feature requests.
http://www.qcad.org/bugtracker/
User avatar
Clive
Moderator
 
Posts: 896
Joined: Thu Aug 25, 2011 9:28 pm
Location: UK

Re: QCAD 3 Final

Postby andrew » Sat Jul 21, 2012 4:33 pm

ralvejd wrote:I'm waiting for a Debian installation :?: :roll:


Both the tar.gz and the .bin setup file should work fine under Debian systems.
User avatar
andrew
Site Admin
 
Posts: 2522
Joined: Fri Mar 30, 2007 6:07 am

Re: QCAD 3 Final

Postby ralvejd » Sat Jul 21, 2012 5:37 pm

andrew wrote:
ralvejd wrote:I'm waiting for a Debian installation :?: :roll:


Both the tar.gz and the .bin setup file should work fine under Debian systems.


Ok, just tested the .bin file, same result as before
Moved the installation from /root/opt/qcad-3.0.0-prof-linux to /opt/qcad-3.0.0-prof-linux!

Code: Select all
root@pc010:/opt/qcad-3.0.0-prof-linux# ./qcad
./qcad-bin: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by ./libQtCLucene.so.4)


Bugreport from ambra http://www.qcad.org/rsforum/viewtopic.php?f=34&t=1596
Problem installing on Linux ('GLIBCXX_3.4.14' not found)

Postby ambra » 2011-08-27 09:40:40
qcad-trial-bin requires gcc-4.4.4, but I have gcc-4.4.5, so QCAD fails to start.

QCAD should require major GCC versions (gcc-4.4.x), and not revisions.

Can this be fixed in final release?



Any suggestions on a solution?
ralvejd
Junior Member
 
Posts: 13
Joined: Mon Dec 27, 2010 4:28 pm

Re: QCAD 3 Final

Postby andrew » Sat Jul 21, 2012 5:41 pm

What precise flavor and version of Debian Linux do you have?
User avatar
andrew
Site Admin
 
Posts: 2522
Joined: Fri Mar 30, 2007 6:07 am

Re: QCAD 3 Final

Postby ralvejd » Sat Jul 21, 2012 5:48 pm

andrew wrote:What precise flavor and version of Debian Linux do you have?


pure Debian “squeeze” , last updated yesterday
ralvejd
Junior Member
 
Posts: 13
Joined: Mon Dec 27, 2010 4:28 pm

Re: QCAD 3 Final - Debian installation problem

Postby tyler durden » Thu Jul 26, 2012 12:56 am

Hello,
The same here :
Debian squeeze AMD64
Code: Select all
tyler@squeeze64:~/Downloaded/qcad/tar_gz_version/qcad_3_stable/qcad-3.0.0-prof-linux-x86$ cat /etc/debian_version

6.0.4


And then :

Code: Select all
tyler@squeeze64:~/Downloaded/qcad/tar_gz_version/qcad_3_stable/qcad-3.0.0-prof-linux-x86$ ./qcad

./qcad-bin: /usr/lib32/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by ./libQtCLucene.so.4)



Which is really funny, because the previous qcad-3.0.0-rc5-prof-linux-x86 has no trouble to start on the same computer.

Guess it will be solved in no time. Maybe i miss some package for the final 3.0.0 stable ?

Thanks for Qcad and your work.

Best.
tyler durden
Newbie Member
 
Posts: 5
Joined: Mon May 21, 2012 9:57 pm

Re: QCAD 3 Final - Debian installation problem

Postby andrew » Fri Jul 27, 2012 1:07 pm

I've uploaded alternative packages for (X)Ubuntu 10.04, Debian 6 and some other Linux distributions which are not compatible with the regular QCAD packages.
Please check your download area for the packages called 'Linux (Alternative)'.
User avatar
andrew
Site Admin
 
Posts: 2522
Joined: Fri Mar 30, 2007 6:07 am

Re: QCAD 3 Final - Debian installation problem

Postby tyler durden » Fri Jul 27, 2012 3:39 pm

Hello,

Work perfect now on my Squeeze Debian Gnu/Linux 6.0.4

Thank you very much.

Best.
tyler durden
Newbie Member
 
Posts: 5
Joined: Mon May 21, 2012 9:57 pm


Return to QCAD 3 Installation and Upgrades

Who is online

Users browsing this forum: No registered users and 1 guest